Arch MergeWalls/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
Line 20: Line 20:
==Descriere==
==Descriere==


The [[Arch_MergeWalls|MergeWalls]] tool fuses two or more selected [[Arch_Wall|Arch Walls]].
The '''Arch MergeWalls''' tool fuses two or more selected [[Arch_Wall|Arch Walls]].


<span id="Usage"></span>
<span id="Usage"></span>
Line 37: Line 37:


This tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
This tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:

{{Code|code=
{{Code|code=
base = joinWalls(walls, delete=False)
base = joinWalls(walls, delete=False)
Line 42: Line 43:


Example:
Example:

{{Code|code=
{{Code|code=
import FreeCAD, Draft, Arch
import FreeCAD, Draft, Arch

Latest revision as of 07:34, 13 June 2024

THIS COMMAND IS PART OF THE INTEGRATED BIM WORKBENCH IN V1.0
This page has been updated for that version.

Arch MergeWalls

poziția meniului
Arch → Utilities → Merge Walls
Ateliere
Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Arch Wall/ro

Descriere

The Arch MergeWalls tool fuses two or more selected Arch Walls.

Cum se folosește

  1. Select two or more walls. The walls must have the same height, width and alignment.
  2. Select the Utils → Merge Walls option from the menu.

Notes

  • Arch Add can merge walls even if they have different heights, widths and alignments.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

base = joinWalls(walls, delete=False)

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])